%define pyver %(python -V 2>&1 | cut -f2 -d" " | cut -f1,2 -d".")

Summary: Python FAM module
Name: python-fam
Version: 1.1.1
Release: %mkrel 2
Source0: http://prdownloads.sourceforge.net/python-fam/%{name}-%{version}.tar.bz2
Patch0: python-fam-1.0.2-gamin.patch.bz2
License: GPL
Group: Development/Python
URL: http://python-fam.sourceforge.net/
Requires: python
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: python-devel, fam-devel

%description
Python FAM is a wrapper module around libfam from the FAM project. It
allows Python programs to monitor files and directories. An example
script is included.

%prep
%setup -q
%patch0 -p1 -b .gamin
chmod 755 test.py

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc test.py
%py_platsitedir/*


%changelog
* Wed Dec 13 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.1.1-2mdv2007.0
+ Revision: 96538
- Rebuild against new python
- Import python-fam



* Fri Dec  9 2005 Frederic Lepied <flepied@mandriva.com> 1.1.1-1mdk
- New release 1.1.1

* Sun Dec 19 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.0.2-5mdk
- Buildrequires fam-devel
- fix to compile with gamin

* Thu Aug 07 2003 Frederic Lepied <flepied@mandrakesoft.com> 1.0.2-4mdk
- python 2.3

* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.0.2-3mdk
- rebuild
- drop Prefix tag
- quiet setup

* Tue Feb  4 2003 Frederic Lepied <flepied@mandrakesoft.com> 1.0.2-2mdk
- added BuildRequires libfam-devel

* Sat Feb  1 2003 Frederic Lepied <flepied@mandrakesoft.com> 1.0.2-1mdk
- initial Mandrake Linux packaging

# end of file
